package com.yonge.cooleshow.biz.dal.service;

import java.util.List;

import com.yonge.cooleshow.biz.dal.entity.SysConfig;
import com.yonge.toolset.mybatis.service.BaseService;

public interface SysConfigService extends BaseService<Long, SysConfig> {

	public static final String SMS_MAX_TIMES = "sms_max_times";

    /**
     * @return com.yonge.cooleshow.biz.dal.entity.SysConfig
     * @params paramName
     * @describe 根据配置名称获取配置信息
     */
    SysConfig findByParamName(String paramName);

    List<SysConfig> findByParamName(List<String> paramNameList);

    String findConfigValue(String paramName);

    void batchUpdate(List<SysConfig> configList);

    void updateConfig(SysConfig config);

    void updateByName(String paramName, String paramValue);
}
